<template>
    <div class="report-overview">
        <el-table
            height="calc(100% - 20px)"
            :element-loading-background="loadingColor"
            v-loading="loading"
            :span-method="objectSpanMethod"
            align="center"
            :data="tableData"
            id="mix-table-bigger"
            class="dialog_table"
            :cell-style="{'text-align': 'center'}"
            :header-cell-style="{'text-align': 'center'}"
        >
            <el-table-column prop="indexKey" label="序号" width="60">
            </el-table-column>
            <el-table-column prop="projectName" label="项目名称">
            </el-table-column>
            <el-table-column prop="unitName" label="主责单位" width="100">
            </el-table-column>
            <el-table-column label="改革方案明确的量化目标推进力">
                <el-table-column
                    prop="reformQuantitativeObjectives"
                    :label="`改革核心\n指标名称`"
                    width="100"
                >
                </el-table-column>

                <el-table-column
                    prop="reformQuantitativeObjectivesUnit"
                    label="单位"
                    width="60"
                >
                </el-table-column>
                <el-table-column
                    prop="yearValue"
                    :label="`年度\n目标值`"
                    min-width="60"
                >
                </el-table-column>
                <el-table-column
                    prop="monthValue"
                    :label="`月度\n目标值`"
                    min-width="60"
                >
                    <template v-slot="{row}">
                        <div
                            :style="`${
                                row.fillData < row.monthValue
                                    ? 'background :#38a846'
                                    : ''
                            };border-radius: 10px;`"
                        >
                            {{ row.monthValue }}
                        </div>
                    </template>
                </el-table-column>
                <el-table-column prop="fillData" label="进度值" min-width="60">
                    <template v-slot="{row}">
                        <div
                            :style="`${
                                row.fillData < row.monthValue
                                    ? 'background :#c63535'
                                    : ''
                            };border-radius: 10px;`"
                        >
                            {{ row.fillData }}
                        </div>
                    </template>
                </el-table-column>
                <el-table-column prop="targetScore" label="得分" min-width="60">
                </el-table-column>
            </el-table-column>
            <el-table-column label="改革方案明确的具体举措推进力">
                <el-table-column
                    prop="actualRegimeNum"
                    :label="`形成\n制度成果\n（个）`"
                    min-width="70"
                >
                </el-table-column>
                <el-table-column
                    prop="actualPlatformNum"
                    :label="`搭建\n重要平台\n（个）`"
                    min-width="70"
                >
                </el-table-column>
                <el-table-column
                    prop="actualAppNum"
                    :label="`上线\n应用场景\n（个）`"
                    min-width="70"
                >
                </el-table-column>
                <el-table-column
                    prop="measureScore"
                    label="得分"
                    min-width="60"
                >
                </el-table-column>
            </el-table-column>
            <el-table-column label="品牌显示度">
                <el-table-column
                    prop="nationwideNum"
                    :label="`获全国性\n肯定评价\n（次）`"
                    min-width="80"
                >
                </el-table-column>
                <el-table-column
                    prop="mediaNum"
                    :label="`被5家中央媒体\n深度专题报道\n（次）`"
                    min-width="105"
                >
                </el-table-column>
                <el-table-column prop="brandScore" label="得分" min-width="60">
                </el-table-column
            ></el-table-column>
            <el-table-column :label="`改革满意度\n（展示指标）`">
                <el-table-column
                    prop="satisfaction"
                    :label="`群众企业基层网络\n问卷调查满意度\n（%）`"
                    min-width="120"
                >
                </el-table-column>
            </el-table-column>
            <el-table-column :label="`风险管控力\n（有事法则扣分）`">
                <el-table-column
                    prop="opinionNum"
                    :label="`引发重大负面舆情\n或群体性事件\n（次）`"
                    min-width="120"
                >
                </el-table-column>
            </el-table-column>
            <el-table-column
                prop="score"
                :label="`综合\n评价指数`"
                min-width="70"
            >
            </el-table-column>
            <el-table-column prop="allSn" label="排位" min-width="55">
            </el-table-column>
        </el-table>
    </div>
</template>
<script>
import apiList from '@/api/bigScreen/majorView.js'
export default {
    projectName: 'reportOverview',
    components: {},
    props: {
        tableOptions: {
            type: Object,
            default: () => {
                return {}
            },
        },
    },
    data() {
        return {
            loading: false,
            loadingColor: 'rgba(7, 45, 98,.4)',
            dataReady: false,
            tableData: [
                {
                    indexKey: 1,
                    projectName: '推动数字重庆建设',
                    unitName: '市大数据发展局',
                    reformQuantitativeObjectives: '建设10个以上特色示范场景',
                    reformQuantitativeObjectivesUnit: '个',
                    yearValue: '10',
                    monthValue: 1,
                    fillData: 0,
                    targetScore: '',
                    actualRegimeNum: '2',
                    actualPlatformNum: '4',
                    actualAppNum: '',
                    measureScore: '',
                    nationwideNum: '5',
                    mediaNum: '17',
                    brandScore: '',
                    satisfaction: '',
                    opinionNum: '',
                    score: '',
                    allSn: '',
                },
                {
                    indexKey: 1,
                    projectName: '推动数字重庆建设',
                    unitName: '市大数据发展局',
                    reformQuantitativeObjectives: '建设20个以上特色示范场景',
                    reformQuantitativeObjectivesUnit: '个',
                    yearValue: '20',
                    monthValue: 2,
                    fillData: 1,
                    actualRegimeNum: '2',
                    actualAppNum: '4',
                    nationwideNum: '5',
                    mediaNum: '17',
                    satisfaction: '',
                    opinionNum: '',
                    score: '',
                    allSn: '',
                },
                {
                    indexKey: 1,
                    projectName: '推动数字重庆建设',
                    unitName: '市大数据发展局',
                    reformQuantitativeObjectives:
                        '市级部门共享公共数据突破1.2万类',
                    reformQuantitativeObjectivesUnit: '万类',
                    yearValue: '1.2',
                    monthValue: '0.3',
                    fillData: '0.4',
                    actualRegimeNum: '2',
                    actualAppNum: '4',
                    nationwideNum: '5',
                    mediaNum: '17',
                    satisfaction: '',
                    opinionNum: '',
                    score: '',
                    allSn: '',
                },
                {
                    indexKey: 1,
                    projectName: '推动数字重庆建设',
                    unitName: '市大数据发展局',
                    reformQuantitativeObjectives:
                        '面向社会开放公共数据突破6500万类',
                    reformQuantitativeObjectivesUnit: '类',
                    yearValue: '6500',
                    monthValue: '2000',
                    fillData: '2100',
                    actualRegimeNum: '2',
                    actualAppNum: '4',
                    nationwideNum: '5',
                    mediaNum: '17',
                    satisfaction: '',
                    opinionNum: '',
                    score: '',
                    allSn: '',
                },
                {
                    indexKey: 1,
                    projectName: '推动数字重庆建设',
                    unitName: '市大数据发展局',
                    reformQuantitativeObjectives: '川渝两地1.3万类数据目录互挂',
                    reformQuantitativeObjectivesUnit: '万类',
                    yearValue: '1.3',
                    monthValue: '0.4',
                    fillData: '0.3',
                    actualRegimeNum: '2',
                    actualAppNum: '4',
                    nationwideNum: '5',
                    mediaNum: '17',
                    satisfaction: '',
                    opinionNum: '',
                    score: '',
                    allSn: '',
                },
                {
                    indexKey: 2,
                    projectName: '全市开发区（园区）数',
                    unitName: '市发展改革委',
                    reformQuantitativeObjectives: '全市开发区（园区）数量下降',
                    reformQuantitativeObjectivesUnit: '个',
                    yearValue: '10',
                    monthValue: '3',
                    fillData: '3',
                    actualRegimeNum: '2',
                    actualAppNum: '2',
                    nationwideNum: '3',
                    mediaNum: '13',
                    satisfaction: '',
                    opinionNum: '',
                    score: '',
                    allSn: '',
                },
                {
                    indexKey: 3,
                    projectName: '探索制造业“亩均论英雄”改革',
                    unitName: '市经济信息委',
                    reformQuantitativeObjectives:
                        '全市规上工业企业亩均产出提高5%',
                    reformQuantitativeObjectivesUnit: '%',
                    yearValue: '5',
                    monthValue: '2',
                    fillData: '2.1',
                    actualRegimeNum: '2',
                    actualAppNum: '2',
                    nationwideNum: '2',
                    mediaNum: '9',
                    satisfaction: '',
                    opinionNum: '',
                    score: '',
                    allSn: '',
                },
                {
                    indexKey: 3,
                    projectName: '探索制造业“亩均论英雄”改革',
                    unitName: '市经济信息委',
                    reformQuantitativeObjectives:
                        '全市产业园区工业用地亩均产出提高5%',
                    reformQuantitativeObjectivesUnit: '%',
                    yearValue: '5',
                    monthValue: '1',
                    fillData: '1.6',
                    actualRegimeNum: '2',
                    actualAppNum: '2',
                    nationwideNum: '2',
                    mediaNum: '9',
                    satisfaction: '',
                    opinionNum: '',
                    score: '',
                    allSn: '',
                },
                {
                    indexKey: 3,
                    projectName: '探索制造业“亩均论英雄”改革',
                    unitName: '市经济信息委',
                    reformQuantitativeObjectives:
                        '主城都市区新增工业项目按“标准地”出让比例不低于30%',
                    reformQuantitativeObjectivesUnit: '%',
                    yearValue: '5',
                    monthValue: '8',
                    fillData: '9',
                    actualRegimeNum: '2',
                    actualAppNum: '2',
                    nationwideNum: '2',
                    mediaNum: '9',
                    satisfaction: '',
                    opinionNum: '',
                    score: '',
                    allSn: '',
                },
                {
                    indexKey: 4,
                    projectName: '实施国企战略性重组和专业化整合',
                    unitName: '市国资委',
                    reformQuantitativeObjectives:
                        '新增市属国有企业重组整合及升级发展数11个',
                    reformQuantitativeObjectivesUnit: '个',
                    yearValue: '8',
                    monthValue: '2',
                    fillData: '2',
                    actualRegimeNum: '2',
                    actualAppNum: '2',
                    nationwideNum: '2',
                    mediaNum: '9',
                    satisfaction: '',
                    opinionNum: '',
                    score: '',
                    allSn: '',
                },
                {
                    indexKey: 4,
                    projectName: '实施国企战略性重组和专业化整合',
                    unitName: '市国资委',
                    reformQuantitativeObjectives: '市属国有重点企业资产增长5%',
                    reformQuantitativeObjectivesUnit: '%',
                    yearValue: '5',
                    monthValue: '1.8',
                    fillData: '1.9',
                    actualRegimeNum: '1',
                    actualAppNum: '2',
                    nationwideNum: '4',
                    mediaNum: '14',
                    satisfaction: '',
                    opinionNum: '',
                    score: '',
                    allSn: '',
                },
                {
                    indexKey: 4,
                    projectName: '实施国企战略性重组和专业化整合',
                    unitName: '市国资委',
                    reformQuantitativeObjectives: '市属国有重点企业利润增长6%',
                    reformQuantitativeObjectivesUnit: '%',
                    yearValue: '6',
                    monthValue: '1.5',
                    fillData: '1.6',
                    actualRegimeNum: '1',
                    actualAppNum: '2',
                    nationwideNum: '4',
                    mediaNum: '14',
                    satisfaction: '',
                    opinionNum: '',
                    score: '',
                    allSn: '',
                },
                {
                    indexKey: 5,
                    projectName: '建立企业上市助推机制',
                    unitName: '市金融监管局',
                    reformQuantitativeObjectives: '新增境内外上市公司30家',
                    reformQuantitativeObjectivesUnit: '个',
                    yearValue: '30',
                    monthValue: '8',
                    fillData: '8',
                    actualRegimeNum: '1',
                    actualAppNum: '3',
                    nationwideNum: '3',
                    mediaNum: '14',
                    satisfaction: '',
                    opinionNum: '',
                    score: '',
                    allSn: '',
                },
                {
                    indexKey: 5,
                    projectName: '建立企业上市助推机制',
                    unitName: '市金融监管局',
                    reformQuantitativeObjectives:
                        '新增拟上市后备库入库企业800家',
                    reformQuantitativeObjectivesUnit: '个',
                    yearValue: '800',
                    monthValue: '280',
                    fillData: '290',
                    actualRegimeNum: '1',
                    actualAppNum: '3',
                    nationwideNum: '3',
                    mediaNum: '14',
                    satisfaction: '',
                    opinionNum: '',
                    score: '',
                    allSn: '',
                },
                {
                    indexKey: 6,
                    projectName: '实施投融资多元化改革',
                    unitName: '市发展改革委',
                    reformQuantitativeObjectives:
                        '新增争取政策性基金和政策性贷款1000亿',
                    reformQuantitativeObjectivesUnit: '亿元',
                    yearValue: '100',
                    monthValue: '17',
                    fillData: '17.3',
                    actualRegimeNum: '2',
                    actualAppNum: '2',
                    nationwideNum: '3',
                    mediaNum: '13',
                    satisfaction: '',
                    opinionNum: '',
                    score: '',
                    allSn: '',
                },
                {
                    indexKey: 6,
                    projectName: '实施投融资多元化改革',
                    unitName: '市发展改革委',
                    reformQuantitativeObjectives: '地方财政发行专项债1000亿元',
                    reformQuantitativeObjectivesUnit: '亿元',
                    yearValue: '1000',
                    monthValue: '200',
                    fillData: '250',
                    actualRegimeNum: '2',
                    actualAppNum: '2',
                    nationwideNum: '3',
                    mediaNum: '13',
                    satisfaction: '',
                    opinionNum: '',
                    score: '',
                    allSn: '',
                },
                {
                    indexKey: 6,
                    projectName: '实施投融资多元化改革',
                    unitName: '市发展改革委',
                    reformQuantitativeObjectives: '盘活低效闲置存量资产150亿元',
                    reformQuantitativeObjectivesUnit: '亿元',
                    yearValue: '150',
                    monthValue: '40',
                    fillData: '41',
                    actualRegimeNum: '2',
                    actualAppNum: '2',
                    nationwideNum: '3',
                    mediaNum: '13',
                    satisfaction: '',
                    opinionNum: '',
                    score: '',
                    allSn: '',
                },
                {
                    indexKey: 7,
                    projectName: '探索强村富民综合改革',
                    unitName: '市农业农村委',
                    reformQuantitativeObjectives:
                        '村集体经济组织经营性收入5万元以上达到70%',
                    reformQuantitativeObjectivesUnit: '%',
                    yearValue: '70',
                    monthValue: '64',
                    fillData: '65',
                    actualRegimeNum: '2',
                    actualAppNum: '2',
                    nationwideNum: '5',
                    mediaNum: '16',
                    satisfaction: '',
                    opinionNum: '',
                    score: '',
                    allSn: '',
                },
                {
                    indexKey: 7,
                    projectName: '探索强村富民综合改革',
                    unitName: '市农业农村委',
                    reformQuantitativeObjectives: '培养农村致富带头人1000名',
                    reformQuantitativeObjectivesUnit: '名',
                    yearValue: '1000',
                    monthValue: '160',
                    fillData: '173',
                    actualRegimeNum: '2',
                    actualAppNum: '2',
                    nationwideNum: '5',
                    mediaNum: '16',
                    satisfaction: '',
                    opinionNum: '',
                    score: '',
                    allSn: '',
                },
                {
                    indexKey: 7,
                    projectName: '探索强村富民综合改革',
                    unitName: '市农业农村委',
                    reformQuantitativeObjectives: '农村产权年交易额达到40亿元',
                    reformQuantitativeObjectivesUnit: '亿元',
                    yearValue: '40',
                    monthValue: '9',
                    fillData: '9.2',
                    actualRegimeNum: '2',
                    actualAppNum: '2',
                    nationwideNum: '5',
                    mediaNum: '16',
                    satisfaction: '',
                    opinionNum: '',
                    score: '',
                    allSn: '',
                },
                {
                    indexKey: 8,
                    projectName: '探索经济区与行政区适度分离改革',
                    unitName: '市发展改革委',
                    reformQuantitativeObjectives: '实现年度投资超3000亿元',
                    reformQuantitativeObjectivesUnit: '亿元',
                    yearValue: '3000',
                    monthValue: '700',
                    fillData: '710',
                    actualRegimeNum: '2',
                    actualAppNum: '2',
                    nationwideNum: '2',
                    mediaNum: '12',
                    satisfaction: '',
                    opinionNum: '',
                    score: '',
                    allSn: '',
                },
                {
                    indexKey: 8,
                    projectName: '探索经济区与行政区适度分离改革',
                    unitName: '市发展改革委',
                    reformQuantitativeObjectives:
                        '川渝共建产业合作示范园区数达到30个',
                    reformQuantitativeObjectivesUnit: '个',
                    yearValue: '30',
                    monthValue: '8',
                    fillData: '8',
                    actualRegimeNum: '2',
                    actualAppNum: '2',
                    nationwideNum: '2',
                    mediaNum: '12',
                    satisfaction: '',
                    opinionNum: '',
                    score: '',
                    allSn: '',
                },
                {
                    indexKey: 9,
                    projectName: '推进涉企涉民服务全生命周期“一件事一次办”',
                    unitName: '市政府办公厅',
                    reformQuantitativeObjectives:
                        '新增40项高频服务事项“一件事一次办”',
                    reformQuantitativeObjectivesUnit: '项',
                    yearValue: '40',
                    monthValue: '9',
                    fillData: '10',
                    actualRegimeNum: '2',
                    actualAppNum: '4',
                    nationwideNum: '5',
                    mediaNum: '17',
                    satisfaction: '',
                    opinionNum: '',
                    score: '',
                    allSn: '',
                },
                {
                    indexKey: 9,
                    projectName: '推进涉企涉民服务全生命周期“一件事一次办”',
                    unitName: '市政府办公厅',
                    reformQuantitativeObjectives:
                        '“一件事一次办”涉及部门后台业务系统接入比例和数据共享需求满足比例达到50%以上',
                    reformQuantitativeObjectivesUnit: '%',
                    yearValue: '50',
                    monthValue: '10',
                    fillData: '11',
                    actualRegimeNum: '2',
                    actualAppNum: '4',
                    nationwideNum: '5',
                    mediaNum: '17',
                    satisfaction: '',
                    opinionNum: '',
                    score: '',
                    allSn: '',
                },
                {
                    indexKey: 10,
                    projectName: '打造“信用重庆”升级版',
                    unitName: '市发展改革委',
                    reformQuantitativeObjectives:
                        '信用分级分类监管领域增加10个',
                    reformQuantitativeObjectivesUnit: '个',
                    yearValue: '10',
                    monthValue: '2',
                    fillData: '2',
                    actualRegimeNum: '2',
                    actualAppNum: '3',
                    nationwideNum: '3',
                    mediaNum: '14',
                    satisfaction: '',
                    opinionNum: '',
                    score: '',
                    allSn: '',
                },
                {
                    indexKey: 10,
                    projectName: '打造“信用重庆”升级版',
                    unitName: '市发展改革委',
                    reformQuantitativeObjectives: '信用承诺事项增加',
                    reformQuantitativeObjectivesUnit: '项',
                    yearValue: '30',
                    monthValue: '8',
                    fillData: '8',
                    actualRegimeNum: '2',
                    actualAppNum: '3',
                    nationwideNum: '3',
                    mediaNum: '14',
                    satisfaction: '',
                    opinionNum: '',
                    score: '',
                    allSn: '',
                },
                {
                    indexKey: 10,
                    projectName: '打造“信用重庆”升级版',
                    unitName: '市发展改革委',
                    reformQuantitativeObjectives: '信用承诺事项增加',
                    reformQuantitativeObjectivesUnit: '个',
                    yearValue: '10',
                    monthValue: '1',
                    fillData: '1',
                    actualRegimeNum: '2',
                    actualAppNum: '3',
                    nationwideNum: '3',
                    mediaNum: '14',
                    satisfaction: '',
                    opinionNum: '',
                    score: '',
                    allSn: '',
                },
                {
                    indexKey: 11,
                    projectName: '建设政企学研深度融合的现代职教体系',
                    unitName: '市教委',
                    reformQuantitativeObjectives:
                        '建设跨区域产教联合体、行业产教融合共同体',
                    reformQuantitativeObjectivesUnit: '个',
                    yearValue: '10',
                    monthValue: '2',
                    fillData: '1',
                    actualRegimeNum: '2',
                    actualAppNum: '3',
                    nationwideNum: '2',
                    mediaNum: '13',
                    satisfaction: '',
                    opinionNum: '',
                    score: '',
                    allSn: '',
                },
                {
                    indexKey: 11,
                    projectName: '建设政企学研深度融合的现代职教体系',
                    unitName: '市教委',
                    reformQuantitativeObjectives: '新增现代学徒制试点项目',
                    reformQuantitativeObjectivesUnit: '个',
                    yearValue: '30',
                    monthValue: '8',
                    fillData: '8',
                    actualRegimeNum: '2',
                    actualAppNum: '3',
                    nationwideNum: '2',
                    mediaNum: '13',
                    satisfaction: '',
                    opinionNum: '',
                    score: '',
                    allSn: '',
                },
                {
                    indexKey: 12,
                    projectName: '健全平安重庆风险闭环管控机制',
                    unitName: '市委政法委',
                    reformQuantitativeObjectives: '群众安全感调查率',
                    reformQuantitativeObjectivesUnit: '%',
                    yearValue: '98以上',
                    monthValue: '98',
                    fillData: '98.5',
                    actualRegimeNum: '2',
                    actualAppNum: '2',
                    nationwideNum: '3',
                    mediaNum: '15',
                    satisfaction: '',
                    opinionNum: '',
                    score: '',
                    allSn: '',
                },
                {
                    indexKey: 12,
                    projectName: '健全平安重庆风险闭环管控机制',
                    unitName: '市委政法委',
                    reformQuantitativeObjectives: '司法公信力、政法队伍满意度',
                    reformQuantitativeObjectivesUnit: '%',
                    yearValue: '97以上',
                    monthValue: '97',
                    fillData: '97.5',
                    actualRegimeNum: '2',
                    actualAppNum: '2',
                    nationwideNum: '3',
                    mediaNum: '15',
                    satisfaction: '',
                    opinionNum: '',
                    score: '',
                    allSn: '',
                },
                {
                    indexKey: 13,
                    projectName: '推进渝警数智“情指行”一体化现代警务改革',
                    unitName: '市公安局',
                    reformQuantitativeObjectives:
                        '实现多个警种部门线上、线下协同运行',
                    reformQuantitativeObjectivesUnit: '个',
                    yearValue: '20',
                    monthValue: '8',
                    fillData: '9',
                    actualRegimeNum: '2',
                    actualAppNum: '2',
                    nationwideNum: '3',
                    mediaNum: '14',
                    satisfaction: '',
                    opinionNum: '',
                    score: '',
                    allSn: '',
                },
                {
                    indexKey: 14,
                    projectName: '建立领导班子运行评估和群众口碑评价机制',
                    unitName: '市委组织部',
                    reformQuantitativeObjectives: '市管领导班子运行全覆盖评估',
                    reformQuantitativeObjectivesUnit: '个',
                    yearValue: '182',
                    monthValue: '85',
                    fillData: '87',
                    actualRegimeNum: '2',
                    actualAppNum: '2',
                    nationwideNum: '3',
                    mediaNum: '12',
                    satisfaction: '',
                    opinionNum: '',
                    score: '',
                    allSn: '',
                },
                {
                    indexKey: 15,
                    projectName: '推进“党建扎桩·治理结网”基层治理现代化改革',
                    unitName: '市委组织部',
                    reformQuantitativeObjectives:
                        '创建市级乡村治理“院落制”试点示范村',
                    reformQuantitativeObjectivesUnit: '个',
                    yearValue: '100',
                    monthValue: '20',
                    fillData: '21',
                    actualRegimeNum: '2',
                    actualAppNum: '2',
                    nationwideNum: '4',
                    mediaNum: '16',
                    satisfaction: '',
                    opinionNum: '',
                    score: '',
                    allSn: '',
                },
                {
                    indexKey: 15,
                    projectName: '推进“党建扎桩·治理结网”基层治理现代化改革',
                    unitName: '市委组织部',
                    reformQuantitativeObjectives:
                        '街道党建联席会议负责人由上级党员领导兼任率',
                    reformQuantitativeObjectivesUnit: '%',
                    yearValue: '100',
                    monthValue: '90',
                    fillData: '91',
                    actualRegimeNum: '2',
                    actualAppNum: '2',
                    nationwideNum: '4',
                    mediaNum: '16',
                    satisfaction: '',
                    opinionNum: '',
                    score: '',
                    allSn: '',
                },
                {
                    indexKey: 15,
                    projectName: '推进“党建扎桩·治理结网”基层治理现代化改革',
                    unitName: '市委组织部',
                    reformQuantitativeObjectives:
                        '社区党建联席会议负责人由上级党员领导兼任率',
                    reformQuantitativeObjectivesUnit: '%',
                    yearValue: '100',
                    monthValue: '65',
                    fillData: '66',
                    actualRegimeNum: '2',
                    actualAppNum: '2',
                    nationwideNum: '4',
                    mediaNum: '16',
                    satisfaction: '',
                    opinionNum: '',
                    score: '',
                    allSn: '',
                },
            ],
            tableData: [],
            columnIndexFixed: [
                0, 1, 2, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19,
            ], // 固定列序号
            columnIndexGather: {}, //固定列序需合并行号集合
            columnIndexTargetName: {}, // 改革核心指标名称需合并行号
            templateData: [],
            scoreData: [],
            scoreObj: {},
        }
    },
    mounted() {
        // this.initData()
        this.getData()
    },
    methods: {
        getData() {
            this.loading = true
            let now = new Date()
            let y = now.getFullYear()
            let m = now.getMonth() + 1
            let data = this.qs.stringify({
                fillMonth: m,
                fillYear: y,
            })
            apiList.getReport(data, (res) => {
                this.templateData = res.target //量化指标
                this.scoreData = res.syn // 得分
                this.tableData = this.dataFormat()
            })
        },
        dataFormat() {
            this.scoreData.forEach((item) => {
                this.scoreObj[item.projectId] = {
                    targetScore: item.targetScore, //目标推进力评分

                    actualRegimeNum: item.actualRegimeNum, //实际形成制度个数
                    actualPlatformNum: item.actualPlatformNum, //实际搭建平台个数
                    actualAppNum: item.actualAppNum, //实际上线应用个数
                    measureScore: item.measureScore, //具体举措推进力评分

                    nationwideNum: item.nationwideNum, //改革经验获全国性肯定评价件次
                    mediaNum: item.mediaNum, //改革经验被5家中央媒体深度专题报道件次
                    brandScore: item.brandScore, //品牌显示度得分

                    satisfaction: item.satisfaction, //满意度
                    opinionNum: item.opinionNum, //引发重大负面舆情或群体性事件件次

                    score: item.score, //综合得分
                    allSn: item.allSn, //综合得分全市排名
                }
            })
            
            return this.initData()
        },
        initData() {
            // let indexKey = 0
            // 先计算需合并的行号
            this.tableData.map((item, index) => {
                if (!this.columnIndexGather[item.indexKey]) {
                    this.columnIndexGather[item.indexKey] = [index]
                    // indexKey++
                } else {
                    this.columnIndexGather[item.indexKey].push(index)
                }
                if (
                    !this.columnIndexTargetName[
                        item.reformQuantitativeObjectives
                    ]
                ) {
                    this.columnIndexTargetName[
                        item.reformQuantitativeObjectives
                    ] = [index]
                } else {
                    this.columnIndexTargetName[
                        item.reformQuantitativeObjectives
                    ].push(index)
                }
                // item.indexKey = indexKey
                // return {...item, ...this.scoreObj[item.projectId]}
            })
            for (let key in this.columnIndexGather) {
                if (this.columnIndexGather[key].length <= 1) {
                    delete this.columnIndexGather[key]
                }
            }
            for (let key in this.columnIndexTargetName) {
                if (this.columnIndexTargetName[key].length <= 1) {
                    delete this.columnIndexTargetName[key]
                }
            }

            console.log(this.columnIndexTargetName, this.columnIndexGather)

            this.loading = false
            this.dataReady = true
            // return newData
        },
        objectSpanMethod({row, column, rowIndex, columnIndex}) {
            if (this.columnIndexFixed.includes(columnIndex)) {
                for (let key in this.columnIndexGather) {
                    if (rowIndex === this.columnIndexGather[key][0]) {
                        return {
                            rowspan: this.columnIndexGather[key].length,
                            colspan: 1,
                        }
                    } else if (
                        this.columnIndexGather[key].includes(rowIndex) &&
                        rowIndex !== this.columnIndexGather[key][0]
                    ) {
                        return {
                            rowspan: 0,
                            colspan: 0,
                        }
                    }
                }
            }
            // if (columnIndex == 3) {
            //     for (let key in this.columnIndexTargetName) {
            //         if (rowIndex === this.columnIndexTargetName[key][0]) {
            //             return {
            //                 rowspan: this.columnIndexTargetName[key].length,
            //                 colspan: 1,
            //             }
            //         } else if (
            //             this.columnIndexTargetName[key].includes(rowIndex) &&
            //             rowIndex !== this.columnIndexTargetName[key][0]
            //         ) {
            //             return {
            //                 rowspan: 0,
            //                 colspan: 0,
            //             }
            //         }
            //     }
            // }
        },
    },
}
</script>
<style lang="scss">
#mix-table-bigger .el-table--border th, .el-table--border td {
    border-right: 1px solid rgb(39, 86, 162)!important;
}
#mix-table-bigger.el-table th.el-table__cell.is-leaf, #mix-table-bigger.el-table td.el-table__cell {
    border-bottom: 1px solid rgb(39, 86, 162)!important;
}

#mix-table-bigger.dialog_table.el-table{
    // tr {
    //     background-color: rgba(1, 39, 101, 1)!important;
    //     color: #FFFFFF!important;
    // }
    // tr:nth-of-type(2n+1){
    //     background-color: rgb(3, 45, 113)!important;
    //     color: #FFFFFF!important;
    // }

    thead tr{
        background: none!important;
    }
    thead tr, thead tr th{
        background: none!important;
        background-color: #114385!important;
        color: #FFFFFF;
    }
    th > .cell {
        font-size: 14px;
        font-family: SimHei;
        font-weight: 400;
        color: #FFFFFF;
    }
    td > .cell {
        color: #FFFFFF!important;
    }
}
    
#mix-table-bigger.el-table--border{
    border: 1px solid rgb(39, 86, 162)!important;
    .el-table__cell{
        border-right: 1px solid rgb(39, 86, 162)!important;
    }
    th.el-table__cell {
        border-bottom: 1px solid rgb(39, 86, 162)!important;
    }
    td {
        border-right: 1px solid rgb(39, 86, 162)!important;
    }
    th {
        border-right: 1px solid rgb(39, 86, 162)!important;
    }
}
#mix-table-bigger.el-table{
    background-color: transparent;
    tr {
        background-color: rgba(1, 39, 101, 1)!important;
        color: #FFFFFF!important;
    }
}
#mix-table-bigger .el-table--enable-row-hover .el-table__body tr:hover > td.el-table__cell {
    background-color: rgba(2, 115, 233, 0.3)!important;
}
#mix-table-bigger.el-table.el-table--border tbody tr:hover > td {
    background-color: rgba(2, 115, 233, 0.3)!important;
}

#mix-table-bigger.el-table--group::after, 
#mix-table-bigger.el-table--border::after, 
#mix-table-bigger.el-table::before {
    background-color: #001f47!important;
}
#mix-table-bigger.el-table th.el-table__cell > .cell {
    white-space: pre;
}
#mix-table-bigger{
    /* 设置滚动条的样式 */
    ::-webkit-scrollbar {
        width: 8px !important; //垂直方向上的宽
        height: 8px !important; //水平方向上的宽
    }
    
    /* 滚动槽 */
    ::-webkit-scrollbar-track {
        background-color: #01215a !important;
    }
    
    /* 滚动条滑块 */
    ::-webkit-scrollbar-thumb {
        border-radius: 6px;
        background-color: rgba(#fff, 0.1) !important;
    }
    /*滚动条交叉样式*/
    ::-webkit-scrollbar-corner {
        background: #01215a !important;
    }
}
</style>
<style lang="scss" scoped>
.report-overview {
    margin-top: 5px;
}
/deep/.dialog_table.el-table{
    th > .cell {
        font-size: 16px !important;
    }
}
</style>

